import Vue from 'vue'
import VueRouter from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LayoutView from "../views/LayoutView.vue"
import TableDemo from "../views/main/TableDemo"
Vue.use(VueRouter)

const routes = [
  {
    path: "/",
    name: "LayoutView",
    redirect: "/home",
    component: LayoutView,
    //重定向到home

    children: [
      {
        path: 'home',
        name: 'home',
        component: HomeView,
        redirect: "/index",

        meta: {
          isLogin: true
        },
        children: [
          {
            path: "/index",
            name: "Index",
            component: () => import("../views/main/Index.vue"),
            meta: {
              isLogin: true
            }
          },
          {
            path: "/table",
            name: "TableDemo",
            component: TableDemo,
            meta: {
              isLogin: true
            }
          },
          {
            path:"/chat",
            name:"Chat",
            component:()=>import("../views/main/Chat.vue"),
            meta:{
              isLogin:true
            }
          }
        ]
      },

      {
        path: "tree",
        name: "TreeDemo",
        component: () => import("../views/main/TreeDemo.vue"),
        meta: {
          isLogin: true
        }
      }
    ]
  },
  {
    path: "/login",
    name: "LoginView",
    component: () => import("../views/LoginView.vue")
  }


]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
